vici: Add a libvici low-level client library